/* ========================================================= */
/* GLOBALS                                                    */
/* ========================================================= */
:root {
	--blanc: #fff;
	--noir: #000;
	--rouge: #e30613;
	--jaune: #ffc332;
	--marron: #ba8d3b;
	--bleu: #009fe3;
	--vert: #008a4c;
	--vert-clair: #a1d141;
	--font-family: 'josefinsans', sans-serif;
	--font-size: 16px;
}

.noir {
	color: var(--noir);
}

.jaune {
	color: var(--jaune);
}

.blanc {
	color: var(--blanc);
}

.rouge {
	color: var(--rouge);
}

.bg-vert {
	background-color: var(--vert);
}
/* ========================================================= */
/* CAROUSEL                                                  */
/* ========================================================= */
.carousel {
	max-width: 945px;
	width: 100%;
	margin: 0 auto;
}

.slick-prev:before,
.slick-next:before {
	color: #d22c2e;
}

.slick-dots li button:before {
	color: #206c1b;
}

.slick-dots li.slick-active button:before {
	color: #f4bd28;
}

.carousel-item img {
	max-width: 100%;
	height: auto;
	object-fit: cover;
}

.slick-slide {
	margin: 0 0px;
}

.slick-list {
	margin: 0 -10px;
}

.carousel-container {
	max-width: 800px;
	margin: 0 auto;
}

.slick-track {
	display: flex;
	align-items: center;
}

.carousel-item {
	height: 400px;
}

@media (max-width: 1200px) {
	.mobile-noir {
		color: var(--noir);
	}

	.mobile-jaune {
		color: var(--jaune);
	}

	.mobile-blanc {
		color: var(--blanc);
	}

	.mobile-rouge {
		color: var(--rouge);
	}
}

/* ========================================================= */
/* LAYOUT                                                    */
/* ========================================================= */
.container {
	max-width: 943px;
}

/* --- PAGE ACCUEIL : LARGEUR MAX --- */
body.home .container {
	max-width: 1400px;
	width: 100%;
}

.screen-box {
	display: flex;
	flex-direction: column;
	align-items: center;
	flex-grow: 1;
}

.screen-box-content {
	flex-grow: 1;
	width: 100vw;
	width: 100dvw;
}

.cols {
	max-width: 1845px;
	margin: 0 auto;
}

.col-left {
	width: 25%;
}

.col-middle {
	width: 50%;
}

.col-right {
	width: 25%;
}

@media (max-width: 1200px) {
	.cols {
		flex-direction: column !important;
	}

	body.home .col-left,
	body.saviezvous .col-left,
	body.inscription1 .col-left,
	body.inscription2 .col-left,
	body.inscription3 .col-left {
		max-height: min(14vw, 145px);
		overflow: visible;
	}

	.col-left,
	.col-middle,
	.col-right {
		width: 100vw;
		width: 100dvw;
		min-width: auto;
	}
}

.cadre {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	display: flex;
	flex-direction: column;
}

.cadre-haut {
	background: url('../images/cadre-haut.png') no-repeat center bottom;
	background-size: 100%;
	padding-top: 1.5%;
}

.cadre-milieu {
	flex-grow: 1;
	background: url('../images/cadre-contenu.png') repeat-y center bottom;
	background-size: 100%;
}

.cadre-bas {
	background: url('../images/cadre-bas.png') no-repeat center top;
	background-size: 100%;
	padding-top: 13%;
}

@media (max-width: 1200px) {
	.hidden-mobile {
		display: none;
	}
}

@media (min-width: 1201px) {
	.only-mobile {
		display: none;
	}
}


/* ========================================================= */
/* BACKGROUNDS                                               */
/* ========================================================= */
html,
body {
	display: flex;
	flex-direction: column;
	flex-grow: 1;
}

body {
	background: url('../images/bg.webp') repeat-y center -120px #e73b30;
}

@media (max-width: 1845px) {
	body {
		background: url('../images/bg.webp') repeat-y center top -7vw #e73b30;
		background-size: 104%;
	}
}

@media (max-width: 1200px) {
	body {
		background: url('../images/bg-mobile.webp') repeat-y center -4vw #e73b30;
		background-size: 100%;
	}
}


/* ========================================================= */
/* TEXTES                                                    */
/* ========================================================= */
.page-content { margin-top: 50px; }

.intro-resultat {
	margin: 7rem 0 4rem 0;
	text-transform: uppercase;
	font-weight: 700;
	font-size: 4rem;
	line-height: 4.3rem;
}

.intro-resultat small {
	display: block;
	font-weight: inherit;
	font-size: 1.8rem;
	line-height: 2.5rem;
}

.texte-resultat {
	display: none;
	background: #d61717;
	color: #fbe65f;
	position: absolute;
	top: 20%;
	left: 20%;
	right: 20%;
	text-transform: uppercase;
	padding: 4px 6px;
}

@media (max-width: 1200px) {
	.intro-resultat {
		margin: 2rem 0;
	}

	.intro-resultat {
		font-size: 2.5rem;
		line-height: 3rem;
	}

	.intro-resultat small {
		font-size: 1.4rem;
		line-height: 2.2rem;
	}
}

#section-intro {
	margin: 50px auto 10px auto;
	padding: 0 20px;
	max-width: 100%;
	width: auto;
	position: relative;
}

/* ========================================================= */
/* FONT                                                      */
/* ========================================================= */

@font-face {
	font-family: 'josefinsans';
	src: url('../fonts/josefinsans-regular.ttf') format('truetype');
	font-weight: 400;
	font-style: normal;
}

@font-face {
	font-family: 'josefinsans';
	src: url('../fonts/josefinsans-semibold.ttf') format('truetype');
	font-weight: 600;
	font-style: normal;
}

@font-face {
	font-family: 'josefinsans';
	src: url('../fonts/josefinsans-bold.ttf') format('truetype');
	font-weight: 700;
	font-style: normal;
}

/* ========================================================= */
/* BOUTONS                                                   */
/* ========================================================= */
.bouton-valide {
	border: none;
	outline: none;
	background: none;
	padding: 0;
	margin: 0 auto;
}

/* ========================================================= */
/* ANIMATIONS                                                */
/* ========================================================= */

/* ========================================================= */
/* HEADER                                                    */
/* ========================================================= */
#section-header {
	margin-top: 40px;
	position: relative;
	z-index: 10;
	max-width: 42vw;
}

#section-header .logo {
	display: block;
}

/* ========================================================= */
/* FORMULAIRE                                                */
/* ========================================================= */

#section-inscription {
	margin: 50px 20px;
	position: relative;
}

#form-inscription {
	z-index: 1;
	position: relative;
	padding: 50px 30px;
	margin: 0 auto;
	max-width: 680px;
}

.form-control {
	border: none;
	outline: none;
}

.form-control:focus {
	box-shadow: none;
	background-color: #efefef;
}

.form-inline label {
	padding: .375rem .75rem;
	min-width: fit-content;
}

.form-group {
	margin: 0;
}

.form-check-label {
	cursor: pointer;
}

.champs-formulaire-gauche,
.champs-formulaire-droite,
.champs-formulaire {
	border-radius: 1rem;
	background-color: var(--blanc);
	color: var(--vert);
	margin-bottom: 1rem;
	flex-wrap: nowrap;
}

.champs-formulaire-gauche .form-control,
.champs-formulaire-droite .form-control,
.champs-formulaire .form-control {
	background-color: transparent;
}

.champs-formulaire-gauche {
	border-radius: 1rem 0 0 1rem;
}

.champs-formulaire-droite {
	border-radius: 0 1rem 1rem 0;
}

@media (max-width: 768px) {
	.champs-formulaire-gauche,
	.champs-formulaire-droite,
	.champs-formulaire {
		border-radius: 1rem;
	}
}

.legal-text {
	font-size: 0.8rem;
	line-height: 0.8rem;
	font-weight: normal;
	color: var(--vert-clair);
	margin: 1rem 0;
}

.libelle-large {
	font-size: 1.8rem;
	max-width: 450px;
	margin: 2rem auto;
}

.libelle-medium {
	font-size: 1.4rem;
	margin: 1rem auto;
}

@media (max-width: 768px) {
	.libelle-large {
		font-size: 1.2rem;
		max-width: 350px;
	}

	.libelle-medium {
		font-size: 1.2rem;
	}
}


.row-large {
	max-width: 600px;
	margin: 0 auto;
}

#input-code-produit {
	font-size: 2rem;
}

#fichier1 {
	font-size: 1.6rem;
	height: auto;
}

@media (max-width: 768px) {
	#fichier1 {
		font-size: 1rem;
	}
}

/* ========================================================= */
/* RESULTAT                                                  */
/* ========================================================= */
#section-resultat {
	margin-top: 50px;
}
#jeu-boutons {
	top: 35%;
	left: 0;
	right: 0;
	bottom: 0;
	cursor: url('../images/main-64.png'), url('../images/main-32.png'), pointer;
}
#jeu-cta {
	position: absolute;
	top: 74%;
	left: 26%;
	right: 26%;
	bottom: 9%;
	text-decoration: none;
}
#jeu-inscription {
	position: absolute;
	top: 52%;
	left: 26%;
	right: 26%;
	bottom: 32%;
	text-decoration: none;
}
.bet1 {
	flex-basis: 24%;
}
.bet2 {
	flex-basis: 20%;
}
.bet3 {
	flex-basis: 18%;
}
.bet4 {
	flex-basis: 18%;
}
.bet5 {
	flex-basis: 20%;
}

/* ========================================================= */
/* FOOTER                                                    */
/* ========================================================= */
#section-footer {
margin-bottom: 3rem;
	padding: 2rem 1rem 3rem 1rem;
	text-align: center;
	color: #fff;
}

#section-footer p,
#section-footer a,
#section-footer span,
#section-footer li {
	color: inherit;
}

#section-footer a:hover {
	color: inherit;
	text-decoration: underline;
}

#section-footer .jmenu {
	background-color: var(--marron);
	padding: 0.3rem 0;
	max-width: 640px;
	margin: 0 auto;
}

#section-footer .jmenu a {
	padding: 0.3rem 0.8rem;
}

#cookieconsent .container {
	max-width: 1530px;
}

#cookieconsent,
#cookieconsent-nojs {
	padding: 0.5rem;
	position: fixed;
	z-index: 80;
	bottom: 0;
	left: 0;
	right: 0;
	border-top: 1px solid var(--blanc);
	background: var(--vert);
	color: var(--blanc);
}

.cookieconsent-toogle {
	border: none;
	padding: 1rem 2rem;
	border-radius: 10px;
	background: var(--vert);
	color: var(--blanc);
}

#footer-cookieconsent-toogle {
	position: fixed;
	z-index: 90;
	bottom: 0;
	right: 1rem;
	padding: 0.5rem 1rem;
	border: 1px solid #fff;
	border-bottom: 0;
	border-radius: 10px 10px 0 0;
	transition: 0.2s linear;
	height: 2rem;
}

@media (max-width: 1200px) {
	#footer-cookieconsent-toogle {
		left: 5rem;
		right: 5rem;
	}
}

#cookieconsent .text {
	padding: 0.5rem;
}

#cookieconsent .buttons {
	width: fit-content;
}

@media (max-width: 1200px) {
	#section-inscription {
		padding-top: 18%;
	}

	#section-resultat {
		margin-top: 5%;
	}
}


/* ========================================================= */
/* GLOBAL FONTS                                              */
/* ========================================================= */
html,
body {
	font-family: var(--font-family);
	font-weight: 600;
	font-style: normal;
	font-size: var(--font-size);
}

.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
	font-weight: 600;
}

.sansserif {
	font-family: sans-serif;
	font-weight: 600;
	font-style: normal;
}

html {
	box-sizing: border-box;
	scroll-behavior: smooth;
	width: 100%;
	margin: auto;
	font-size: 1.1rem;
	min-height: 100% !important;
}

a {
	color: inherit;
	text-decoration: underline;
}

a:hover {
	color: inherit;
}

img {
	object-fit: cover;
}

h1 {
	line-height: 2rem;
	font-size: 2.4rem;
	margin: 0 0 2rem 0;
}

h2 {
	line-height: 1.8rem;
	font-size: 1.8rem;
	margin: 1.8rem auto;
}

h3 {
	line-height: 1.6rem;
	font-size: 1.6rem;
}

h4 {
	line-height: 1.4rem;
	font-size: 1.4rem;
}

p {
	line-height: 1.2em;
}

@media (max-width: 600px) {
	h1 {
		font-size: 1.6rem;
	}
}

@media (max-width: 1200px) {

	html,
	body {
		font-size: 16px;
	}

	.jmenu {
		margin: 0;
	}

	.jmenu a {
		font-family: inherit;
		padding: 0px 1rem;
		font-size: 0.6rem;
	}
}


/* 3) le bandeau cookie DOIT être au-dessus */
#cookieconsent,
#cookieconsent-nojs,
#footer-cookieconsent-toogle {
	z-index: 9999 !important;
}

.error_block {
	color: #f00;
	font-weight: 800;
}